package com.adealink.weparty.module.share

import com.adealink.frame.aab.BaseDynamicModule
import com.adealink.weparty.R

object ShareModule : BaseDynamicModule<IShareService>(IShareService::class),
    IShareService {

    override val featureName: String
        get() = "share"

    override val moduleNameResId: Int
        get() = R.string.module_share

    override fun emptyService(): IShareService {
        return object : IShareService {

            override fun getService(): IShareService? {
                return null
            }

            override fun logout() {

            }
        }
    }

    override fun logout() {
        getService().logout()
    }
}